LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Is there a source for older Google-Earth versions? (http://www.linuxquestions.org/questions/slackware-14/is-there-a-source-for-older-google-earth-versions-4175498932/)

astrogeek 03-21-2014 12:01 AM

Is there a source for older Google-Earth versions?
 
I only recently began to use Google-earth (so I have no older versions archived) and have it going on multiple Slackware 14.1 boxes, v7.x built with SBo script.

I have an older 32-bit laptop, SW 14.1, with Intel-915 graphics that I would like to install it on, but the current versions will not work on that graphics chipset.

From other threads here it appears that v6.x did work well with this chipset, but apparently Google does not version the bin files and I can find no archive of older versions.

So, does anyone know where I can get a 6.x Google-earth bin archive, or any way around the 3D/Shader limitation with later versions?

Paulo2 03-21-2014 01:52 AM

Hello astrogeek , there is a slackbuild for the last 6.x version,
but I don't know if the link for GoogleEarth is the 6.x or 7.x version.
http://slackbuilds.org/repository/13...a/GoogleEarth/

I have a txz package of that version (googleearth-6.0.3.2197-i386-1sl.txz)
because on my machine it is the only version that works (maybe due to lack of SSE2).

Sorry but I don't remember where I downloaded that version, I'm using it since Slackware 13.37.
If you want I can post it somewhere for download (23.1MB)

Edit - After some Google Search for Google Earth :D
I think this is the very place where I downloaded
http://repository.slacky.eu/slackwar...th/6.0.3.2197/

astrogeek 03-21-2014 02:07 AM

@Paulo2:

I have the Slackbuild but not the google-earth archive, so your txz would probably do what I need.

It would be very kind of you if you could make that available to me. If you have a place to upload it that would be fine, or I could accept it as an email attachment if that would be easier for you.

Please let me know your preference - thanks!

astrogeek 03-21-2014 02:12 AM

Quote:

Originally Posted by Paulo2 (Post 5138535)
I think this is the very place where I downloaded
http://repository.slacky.eu/slackwar...th/6.0.3.2197/

Thanks! Got it!

I'll post back tomorrow and let you know if it works for me! Much appreciated!

lems 03-21-2014 03:06 AM

Just for your information, the link on http://slackbuilds.org/repository/13...a/GoogleEarth/ still works. The file you get there, GoogleEarthLinux.bin, is version 6.0.3.2197 (strings GoogleEarthLinux.bin | grep label=). So you can still build the SBo version, if you want.

Paulo2 03-21-2014 10:18 AM

Quote:

Originally Posted by astrogeek (Post 5138542)
Thanks! Got it!

I'm glad you got it working. For me Google Earth is essential software:)


@lems Thanks for the info and tip (strings GoogleEarthLinux.bin | grep label=):hattip:
It's good to know that older versions are still available.

astrogeek 03-21-2014 03:50 PM

@lems:

Thanks! I had read that GE changed the bin without changing the name and had downloaded from the 14.1 SBo script. I had DuckDuckGo'ed for older versions without luck, but had not actually downloaded/md5'ed from the older SBo script URL - it is in fact a different archive and it works!

@Paulo2:

Thanks for the response - I grabbed the Slacky.eu package, which works, but ended up building from the 13.37 SBo script with lems' direction so that it is now in my locally managed repo. I should have thought to look at Slacky.eu as they can be a good resource, but I rarely use prebuilt packages so I forget about them - thanks for the reminder!

Thanks to all, I now have GoogleEarth working perfectly on my old Intel hardware!


All times are GMT -5. The time now is 03:12 AM.